Bug 445008 - docbook-dtds License: tag incorrect
Summary: docbook-dtds License: tag incorrect
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-dtds
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-02 18:10 UTC by Jeff Moe (jebba)
Modified: 2008-05-13 12:07 UTC (History)
0 users

Fixed In Version: docbook-dtds-1.0-36.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-13 12:07:39 UTC


Attachments (Terms of Use)

Description Jeff Moe (jebba) 2008-05-02 18:10:28 UTC
$ rpm -qp --queryformat %{LICENSE} docbook-dtds-1.0-35.fc9.src.rpm

Redistributable, no modification permitted

Docbook FAQ:
http://www.dpawson.co.uk/docbook/reference.html#d17e1969
===========================================
Do the stylesheets and DTDs fall under any licenses?

They're 100% free software, meeting all the terms of the GNU Free Software
Definition, the Debian Free Software Guidelines, the Open Source Definition --
meaning you're free to use them for any purpose, modify them in any way you
want, and distribute your modified versions, without restriction and without
needing to ask anybody for permission.

As far as specific licenses, the wording of the license distributed with the
stylesheets is pretty much the same as the MIT/X Consortium license.

I'm not sure whether the language of the license distributed with the DTD is
based on any existing license, but it seems like a shortened version of the
MIT/X Consortium license, without the advertising clause. Regardless, it's
definitely a 100% free software license.

> How about copyrights?  Does anyone hold copyrights on any portion of
> DocBook?

Both the stylesheets and DTD are copyrighted. But that's a good thing, not a bad
thing. It just ensures that anybody who redistributes modified versions has to
do it under the terms of the same 100% free-software license the copyright
holders chose, so it all stays free.
===========================================


There are no license files in the src.rpm. The "no modification permitted"
appears incorrect.


Maybe relevant:
http://www.redhat.com/archives/fedora-legal-list/2007-August/msg00059.html

I'm guessing this was the change that did it:
* Tue Oct 23 2007 Ondrej Vasik <ovasik@redhat.com> - 1.0-34
- corrected most of rpmlint issues
- (PreReq, tab/spaces , wrong permissions on some files,
-  wrong file end encoding of txt files, non config files
-  in /etc, some requires issues, versioned provides and
-  obsoletes, fixed license tag)


Thanks!  :)

Comment 1 Ondrej Vasik 2008-05-13 12:07:39 UTC
You are right, my fault, thanks for report. Changed to "Freely redistributable
without restriction" (as there is no "shortened MIT" license tag in Fedora) ,
fixed in docbook-dtds-1.0-36.fc10, closing RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.